<template>
<div>
    <v-toolbar color="primary" dark fixed extended app flat  scroll-off-screen>
        <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
        <v-toolbar-title>
            <v-breadcrumbs dark v-if="application" :items="breadcrumbItems" divider=">" class="cursive breadcrumb" />
        </v-toolbar-title>
        
        <template slot="extension">
            <v-tabs class="custo" showArrows v-model="activeTab" dark fixed-tabs centered  color="transparent" slider-color="accent">
                          
              <v-tab key="1" ripple>{{$i18n.t("application.view.details")}}</v-tab>
              <v-tab key="2" ripple>{{$i18n.t("application.view.notes")}}</v-tab>
              <v-tab key="3" ripple>{{$i18n.t("application.view.interviews")}}</v-tab>
              <v-tab key="4" ripple>{{$i18n.t("application.view.timeline")}}</v-tab>
              
            </v-tabs>
        </template>
        
        <v-spacer />
    </v-toolbar>

    <NavDrawer :drawer="drawer" @update="drawer = $event" />

    <v-content class="board" dark>
        <v-layout row wrap>
            <v-flex xs12 v-if="application">
                <v-tabs-items v-model="activeTab">
                  
                  <v-tab-item key="1">
                    <ApplicationView :application="application" @error="message"/>
                  </v-tab-item>
                  
                  <v-tab-item key="2">
                      <NoteListView :application="application" @error="message" />
                  </v-tab-item>
                  
                  <v-tab-item key="3">
                    <InterviewList :application="application" @error="message" />
                  </v-tab-item>
                  
                  <v-tab-item key="4">
                    <HistoryView :application="application" />
                  </v-tab-item>
                  
                </v-tabs-items> 
            </v-flex>
        </v-layout>
    </v-content>
  
  <v-snackbar v-model="snack.show" :timeout="snack.duration" :color="snack.color">
    {{ snack.message }}
    <v-btn flat @click="snack.show = false">{{$i18n.t("common.close")}}</v-btn>
  </v-snackbar>
  
</div>
</template>

<script>
import NavDrawer from '../components/NavDrawer.vue'
import ApplicationView from '../components/application/view/ApplicationView' 
import NoteListView from '../components/application/view/NoteListView'
import InterviewList from '../components/application/view/InterviewList'
import HistoryView from '../components/application/view/HistoryView' 
export default {
  name: 'Application',
  props: ['id'],
  components: {NavDrawer, ApplicationView, NoteListView, InterviewList, HistoryView},
  data() {
    return {
        drawer: false,
        application: null,
        snack: {
            duration: 2000,
            message: this.$i18n.t("common.applicationSaved"),
            color: 'success',
            show: false
        },
        activeTab: null    
    }  
  },
  computed: {
    breadcrumbItems() {
        return  [/*{
            text: 'PiJAM',
            to: 'board',
            disabled: false,
            replace: true
        }, */{
            text: this.application.company.name,
            disabled: false,
            replace: true,
            to: `/secure/search?company=${this.application.company.name}`
        }, {
          text: this.application.title,
          disabled: true
        }];
    }
  },
  created() {
    this.loadApplication()
  },
  methods: {
    message(params) {
        const options = this.snack 
        if ( options ) {
            Object.assign(this.snack, params || {})
        }
        this.snack.show = true
        Object.assign(this.snack, options)
    },
    async loadApplication() {
        this.application = await this.$api.getApplication(this.id)
    }
  }
}
</script>

<style>
.custo .v-icon.v-icon.v-icon--link  {
  padding-top: 11px !important;
}
</style>




